wxWidgets 2.8.4 and the GDK error crash

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

wxWidgets 2.8.4 and the GDK error crash

fwsmail35

Hi,

I made a fresh build of Amaya (Ubuntu 7.04 Feisty Fawn) with Regis
Boudin's recent patches and then with wxWidgets 2.8.4. Here are some
information you may find interesting :

1) Regis's Patches alone do not change the behaviour on my system (see
previous report :
http://lists.w3.org/Archives/Public/www-amaya-dev/2007Feb/0001.html and
http://lists.w3.org/Archives/Public/www-amaya-dev/2007Jan/0008.html)
- launching amaya is impossible without "env XLIB_SKIP_ARGB_VISUALS=1"
- there is a crash when closing Amaya

2) using in addition wxWidgets 2.8.4
- several bugs about the tabs and windows are fixed
- At starting, there is the following message error :
    (amaya_bin:19989): Gtk-CRITICAL **: gtk_widget_set_colormap:
assertion `!GTK_WIDGET_REALIZED (widget)' failed
- there is no longer crash at exit
- I can run Amaya without "env XLIB_SKIP_ARGB_VISUALS=1" but in this
case, the content of the windows are not displayed

Fred